Skip to content

Instantly share code, notes, and snippets.

Avatar
:octocat:

Matthias Bussonnier Carreau

:octocat:
View GitHub Profile
View gist:6285fc4026f5ba8c756be2a9f16fe155
Traceback (most recent call last):
File "/Users/bussonniermatthias/dev/jedi/jedi/cache.py", line 110, in wrapper
return dct[key]
KeyError: ((), frozenset())
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "/Users/bussonniermatthias/dev/jedi/jedi/cache.py", line 110, in wrapper
return dct[key]
View Logo.ipynb
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
View gist:11625cb404956bf16bbc075347b0843f
---------------------------------------------------------------------------
AttributeError Traceback (most recent call last)
<ipython-input-42-e8051349cd43> in <module>
1 script = """x = np.linspace(-np.pi, 10)"""
2 #format_and_infer_types(script)
----> 3 jedi.Interpreter(script, [{'np':np}]).infer(1,0)
~/dev/jedi/jedi/api/helpers.py in validate_line_column.<locals>.wrapper(self, line, column, *args, **kwargs)
483 if not (0 <= column <= line_len):
484 raise ValueError('`column` parameter (%d) is not in a valid range '
View nested_trio.py
import inspect
import functools
from contextlib import contextmanager
@contextmanager
def nested_run():
from trio._core._run import GLOBAL_RUN_CONTEXT
s = object()
task, runner, _dict = s, s, s
@Carreau
Carreau / relcanonical.py
Created Jul 29, 2019
Fix rel canonical on matplotlib docs
View relcanonical.py
import re
from glob import glob
pat = re.compile('\d\.\d\.\d')
def is_versioned_doc(path):
return pat.match(path.split('/')[0]) is not None
View docker-compose.yml
version: '3.5'
services:
arches:
container_name: arches
image: archesproject/arches:master
build:
context: .
dockerfile: ./Dockerfile
command: run_arches
View minirepl
import asyncio
import trio
import sys
from ast import PyCF_ALLOW_TOP_LEVEL_AWAIT
from inspect import CO_COROUTINE
from textwrap import dedent, indent
g = {}
l = {}
View Error_notebook_need_local_scope_rerun.ipynb
Sorry, something went wrong. Reload?
Sorry, we cannot display this file.
Sorry, this file is invalid so it cannot be displayed.
View session
(None) ~/dev/hippylib[remotes/origin/Packaging-dev-WIP ✗] $ conda create -n fenicsproject -c conda-forge fenics==2017.2.0 \
> mpi4py scipy sympy==1.1.1 jupyter
Solving environment: done
## Package Plan ##
environment location: /Users/mbussonnier/miniconda3/envs/fenicsproject
added / updated specs:
- fenics==2017.2.0
@Carreau
Carreau / custom.js
Last active Sep 13, 2018
Beep when kernel idle after 10 sec busy
View custom.js
// put in your .jupyter/custom/custom.js
require(['base/js/events'], function(events){
function beep() {
var snd = new Audio("data:audio/wav;base64,//uQRAAAAWMSLwUIYAAsYkXgoQwAEaYLWfkWgAI0wWs/ItAAAGDgYtAgAyN+QWaAAihwMWm4G8QQRDiMcCBcH3Cc+CDv/7xA4Tvh9Rz/y8QADBwMWgQAZG/ILNAARQ4GLTcDeIIIhxGOBAuD7hOfBB3/94gcJ3w+o5/5eIAIAAAVwWgQAVQ2ORaIQwEMAJiDg95G4nQL7mQVWI6GwRcfsZAcsKkJvxgxEjzFUgfHoSQ9Qq7KNwqHwuB13MA4a1q/DmBrHgPcmjiGoh//EwC5nGPEmS4RcfkVKOhJf+WOgoxJclFz3kgn//dBA+ya1GhurNn8zb//9NNutNuhz31f////9vt///z+IdAEAAAK4LQIAKobHItEIYCGAExBwe8jcToF9zIKrEdDYIuP2MgOWFSE34wYiR5iqQPj0JIeoVdlG4VD4XA67mAcNa1fhzA1jwHuTRxDUQ//iYBczjHiTJcIuPyKlHQkv/LHQUYkuSi57yQT//uggfZNajQ3Vmz+Zt//+mm3Wm3Q576v////+32///5/EOgAAADVghQAAAAA//uQZAUAB1WI0PZugAAAAAoQwAAAEk3nRd2qAAAAACiDgAAAAAAABCqEEQRLCgwpBGMlJkIz8jKhGvj4k6jzRnqasNKIeoh5gI7BJaC1A1AoNBjJgbyApVS4IDlZgDU5WUAxEKDNmmALHzZp0Fkz1FMTmGFl1FMEyodIavcCAUHDWrKAIA4aa2oCgILEBupZgHvAhEBcZ6joQBxS76AgccrFlczBvKLC0QI2cBoCFvfTDAo7eoOQInqDPBtvrDEZBNYN5xwNwxQRfw8ZQ5wQVLvO8OYU+mHvFLlDh05Mdg7BT6YrRPpCBz
You can’t perform that action at this time.